/*
===========================================================================
  CASL_optional.c  include file for the CASL/C optional functions.

 
===========================================================================

Modification history:
===========================================================================

14-July-2000:  Added CASLpro_event_handler function, to be compiled only if
               the symbol is not previously defined.  This satisfies an
	       external call from the CASL support library to pass events
	       out to CASL developer provided C code.
===========================================================================
*/

#ifndef CASLPRO_EVENT_HANDLER

/* default event handler for CASLpro (does nothing) and should only be */
/*   compiled if there is no developer-provided event handler          */

Boolean CASLpro_event_handler
  (
  EventPtr evt      /* ptr to PalmOS event structure */
  )
{

// The default behavior for this function is to return FALSE, indicating
// that it did not handle an event.  A developer provided version of this
// function would check the 'eType' field of the event structure to see
// if the event is one to be processed before the CASL support library
// processes events.  If the function does process the event, it should
// return TRUE, so that the CASL support library does not attempt to continue
// processing the event.
//
// NOTE: if the developer provides a function called CASLpro_event_handler,
//       the CASLPRO_EVENT_HANDLER symbol should be defined
//       so that this function does not get compiled.

return(FALSE);
}

#include "beamer.c"

#endif

